## org.opengis.geometry.primitive
Interface OrientableSurface

All Superinterfaces:
  Geometry, OrientablePrimitive, Primitive, TransfiniteSet

All Known Subinterfaces:
  CompositeSurface, PolyhedralSurface, Shell, Surface, Tin, TriangulatedSurface

    @UML(identifier="GM_OrientableSurface",
         specification=ISO_19107)
    public interface OrientableSurface

extends OrientablePrimitive

A surface and an orientation inherited from `OrientablePrimitive`. If the orientation is positive, then the `OrientableSurface` is a surface. If the orientation is negative, then the `OrientableSurface` is a reference to a surface with an upNormal that reverses the direction for this `OrientableSurface`, the sense of "the top of the surface".

Since:
  GeoAPI 1.0
Version:
  ISO 19107

Method Summary

Methods inherited from interface OrientablePrimitive
`getOrientation, getPrimitive`

Methods inherited from interface Primitive
`getComplexes, getComposite, getContainedPrimitives, getContainingPrimitives, getProxy`

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isCycle, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.